RHEL Engineering is moving the tracking of its product development work on RHEL 6 through RHEL 9 to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "RHEL project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs in the statuses "NEW", "ASSIGNED", and "POST" are being migrated throughout September 2023. Bugs of Red Hat partners with an assigned Engineering Partner Manager (EPM) are migrated in late September as per pre-agreed dates. Bugs against components "kernel", "kernel-rt", and "kpatch" are only migrated if still in "NEW" or "ASSIGNED". If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "RHEL project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/RHEL-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 1713749 - [RFE] Provide the user with a method to change the UUID of a VDO volume
Summary: [RFE] Provide the user with a method to change the UUID of a VDO volume
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: vdo
Version: 8.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: bjohnsto
QA Contact: Filip Suba
Marek Suchánek
URL:
Whiteboard:
Depends On:
Blocks: 1755139
TreeView+ depends on / blocked
 
Reported: 2019-05-24 17:43 UTC by Andy Walsh
Modified: 2021-09-06 15:24 UTC (History)
4 users (show)

Fixed In Version: 6.2.2.23
Doc Type: Enhancement
Doc Text:
.You can now import VDO volumes The `vdo` utility now enables you to import existing VDO volumes that are currently not registered on your system. To import a VDO volume, use the `vdo import` command. Additionally, you can modify the Universally Unique Identifier (UUID) of a VDO volume using the `vdo import` command.
Clone Of:
Environment:
Last Closed: 2020-04-28 16:42:57 UTC
Type: Bug
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:1782 0 None None None 2020-04-28 16:43:13 UTC

Description Andy Walsh 2019-05-24 17:43:05 UTC
As reported in https://github.com/dm-vdo/vdo/issues/15, users may want or need to change the UUID of a VDO volume.  We should provide that functionality.

Comment 1 Jakub Krysl 2019-10-15 14:47:35 UTC
Mass migration to Filip.

Comment 3 Filip Suba 2020-03-16 09:47:21 UTC
Verified with vdo-6.2.2.117-13.el8.

# vdodumpconfig /dev/sda
VDOConfig:
  blockSize: 4096
  logicalBlocks: 2435905347
  physicalBlocks: 2441609216
  slabSize: 524288
  recoveryJournalSize: 32768
  slabJournalBlocks: 224
UUID: 3be3ccc8-7c9f-4841-bb13-63ba42323962

# vdo modify --name=vdo0 --uuid=af007e74-fc40-bcc7-27a3-0b2cae1e507c

# vdodumpconfig /dev/sda
VDOConfig:
  blockSize: 4096
  logicalBlocks: 2435905347
  physicalBlocks: 2441609216
  slabSize: 524288
  recoveryJournalSize: 32768
  slabJournalBlocks: 224
UUID: af007e74-fc40-bcc7-27a3-0b2cae1e507c

Comment 6 errata-xmlrpc 2020-04-28 16:42:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:1782


Note You need to log in before you can comment on or make changes to this bug.